add ion
[ikiwiki.git] / debian / NEWS
1 ikiwiki (1.13) unstable; urgency=low
2
3   The GlobList format which was used for specifiying sets of pages, has been
4   replaced with a new, more expressive PageSpec format. While GlobLists will
5   continue to work, that format is deprecated, and you are encouraged to use
6   PageSpecs from now on, and also to change any GlobLists in your wiki to
7   PageSpecs. See the new PageSpec page for details.
8   
9   You will need to rebuild your wiki when upgrading to this version. If you
10   listed your wiki in /etc/ikiwiki/wikilist this will be done automatically
11   when the Debian package is upgraded. Or use ikiiki-mass-rebuild to force a
12   rebuild.
13
14  -- Joey Hess <joeyh@debian.org>  Tue,  1 Aug 2006 18:29:51 -0400
15
16 ikiwiki (1.11) unstable; urgency=low
17
18   Some changes to tags in this release, due to a new tag plugin. If you have
19   been using the meta plugin to tag pages, you'll want to enable the tag
20   plugin too, and change things like this:
21
22   [[meta link="foobar"]]
23
24   To this:
25
26   [[tag foobar]]
27
28   The new tags will appear at page footers, and are also easier to type.
29
30   There have also been some changes to the plugin interface, particularly the
31   interface of pagetemplate hooks has changed. See the changelog for details.
32
33  -- Joey Hess <joeyh@debian.org>  Thu, 27 Jul 2006 17:03:09 -0400
34
35 ikiwiki (1.8) unstable; urgency=low
36
37   If your wiki is configured with a setup file, you should modify it to
38   stop setting the "plugin" list directly, and instead add or remove plugins
39   via the add_plugins and disable_plugins lines. For example, if you had:
40
41         plugin => [qw{inline smiley search}],
42
43   Change it to these lines, which disables the default htmlscrubber plugin
44   and adds the two additional plugins:
45
46         add_plugins => [qw{smiley search}],
47         disable_plugins => [qw{htmlscrubber}],
48
49   Making this change makes your ikiwiki setup file more future-proof since
50   new default plugins will be automatically used.
51   
52   You will need to rebuild your ikiwiki wrappers when upgrading to this
53   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be
54   done automatically when the Debian package is upgraded. Or use
55   ikiiki-mass-rebuild --refresh to force a refresh.
56
57  -- Joey Hess <joeyh@debian.org>  Mon,  3 Jul 2006 16:59:29 -0400
58
59 ikiwiki (1.1) unstable; urgency=low
60
61   There have been several configuration changes in this release of ikiwiki:
62
63   The --svn and --no-svn switches are removed, instead you should use
64    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
65   be changed to set rcs => "svn"; if your setup file sets svn => 0
66   then change it to use rcs => "" to disable svn.
67
68   The --hyperestraier switch is gone too. To enable searching, turn on the
69   search plugin, by passing --plugin=search or through the plugin setting in
70   the setup file.
71
72   The --sanitize and --no-sanitize switches are also gone, replaced with the
73   htmlscrubber plugin. This plugin is enabled by default, to disable it,
74   use --disable-plugin=htmlscrubber, or modify the plugin setting in the
75   setup file.
76
77   Discussion pages are enabled by default, but if your wiki is configured
78   with a setup file, you need to edit it to keep them enabled on upgrade
79   to this version. Add a line reading:
80   discussion => 1,
81
82   You will need to rebuild your wiki when upgrading to this version.
83   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
84   automatically when the Debian package is upgraded. Or use
85   ikiiki-mass-rebuild to force a rebuild.
86
87  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400